%global debug_package {%nil}

%global srcname digilent.adept.runtime

Name:           digilent-adept-runtime
Version:        2.15.3
Release:        1%{?dist}
Summary:        Digilent Adept Runtime

Group:          Development/Tools
License:        Commercial
URL:            http://www.digilentinc.com/Products/Detail.cfm?NavPath=2,66,828&Prod=ADEPT2
Source0:        http://www.digilentinc.com/Data/Products/ADEPT2/%{srcname}_%{version}-x86_64.tar.gz
Source1:        http://www.digilentinc.com/Data/Products/ADEPT2/%{srcname}_%{version}-i686.tar.gz
ExclusiveArch:  i686 x86_64


%description
%{summary}


%package devel
Summary:        Development files %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -q -c -a 1

find . -type f -exec chmod a-x {} \;

%build
# nothing to do

%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_udevrulesdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/digilent

pushd %{srcname}_%{version}-%{_target_cpu}

install -m 755 bin*/* $RPM_BUILD_ROOT%{_bindir}
cp -Pp lib*/* $RPM_BUILD_ROOT%{_libdir}
chmod 755 $RPM_BUILD_ROOT%{_libdir}/*.so.*
cp -rp data $RPM_BUILD_ROOT%{_datadir}/digilent

sed -i.orig -e 's|/usr/local/share|%{_datadir}|' digilent-adept.conf
install -m 644 digilent-adept.conf $RPM_BUILD_ROOT%{_sysconfdir}

sed -i.orig -e 's|/usr/local/sbin|%{_bindir}|' 52-digilent-usb.rules
install -m 644 52-digilent-usb.rules $RPM_BUILD_ROOT%{_udevrulesdir}

pushd ftdi.drivers_*-%{_target_cpu}
install -p lib*/libftd2xx.so.* $RPM_BUILD_ROOT%{_libdir}
popd

popd


%files
%doc %{srcname}_%{version}-%{_target_cpu}/{README,EULA}
%doc %{srcname}_%{version}-%{_target_cpu}/ftdi.drivers_*-%{_target_cpu}/EULA_FTDI
%config(noreplace) %{_sysconfdir}/digilent-adept.conf
%{_bindir}/*
%{_libdir}/*.so.*
%{_udevrulesdir}/*.rules
%{_datadir}/digilent

%files devel
%{_libdir}/*.so


%changelog
* Sat Feb 15 2014 Dan Horák <dan[at]danny.cz> - 2.15.3-1
- updated to 2.15.3

* Wed Oct 30 2013 Dan Horák <dan[at]danny.cz> - 2.13.1-2
- use _target_cpu to determine what to install

* Sun Oct 27 2013 Dan Horák <dan[at]danny.cz> - 2.13.1-1
- updated to 2.13.1

* Sun May 26 2013 Dan Horák <dan[at]danny.cz> - 2.10.2-1
- initial Fedora version
